import { AbstractSession } from "@brightside/imperative";
import { IPublishedTemplates } from "./doc/zosmf/IPublishedTemplates";
/**
 * Get info about all published templates.
 * @export
 * @class ListCatalogTemplates
 */
export declare class ListCatalogTemplates {
    /**
     * This operation returns the catalog of published software service templates.
     * @param {AbstractSession} session - z/OSMF connection info
     * @param {string} zOSMFVersion - the URI path variable that identifies the version of the z/OSMF software services template service.
     *                              The following value is valid: 1.0.
     * @returns {Promise<IPublishedTemplates>} z/OSMF response object, @see {IPublishedTemplates}
     * @memberof ListCatalogTemplates
     */
    static listCatalogCommon(session: AbstractSession, zOSMFVersion: string): Promise<IPublishedTemplates>;
}
