"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Explained keys for summary.
 * @memberof IPromptVariable
 */
const prettySummary = {
    name: "Name",
    description: "Description",
    type: "Type"
};
/**
 * Explained keys for all-info.
 * @memberof IPromptVariable
 */
const prettyFull = Object.assign({}, prettySummary, { "required": "Required", "min": "Minimum Value/Length", "max": "Maximum Value/Length", "must-be-choice": "Select from Choices", "choices": "Allowable Choices" });
/**
 * Main explanation map object for summary output.
 * @type {IExplanationMap}
 * @memberof IPromptVariable
 */
exports.explainPromptVariableSummary = Object.assign({}, prettySummary, { ignoredKeys: "required, min, max, must-be-choice, choices", explainedParentKey: null });
/**
 * Main explanation map object for full output.
 * @type {IExplanationMap}
 * @memberof IPromptVariable
 */
exports.explainPromptVariableFull = Object.assign({}, prettyFull, { ignoredKeys: null, explainedParentKey: null });
//# sourceMappingURL=IPromptVariable.js.map