import { IExplanationMap } from "@brightside/imperative";
import { ITemplateRegistryInfo } from "./ITemplateRegistryInfo";
import { ITemplateWorkflowInfo } from "./ITemplateWorkflowInfo";
/**
 * Interface for provisioning the published template of the z/OSMF API response.
 * @export
 * @interface IProvisionTemplateResponse
 */
export interface IProvisionTemplateResponse {
    /**
     * Nickname of the system that the service is provisioned on.
     * @type {string}
     * @memberof IProvisionTemplateResponse
     */
    "system-nickname": string;
    /**
     * Object mapping that matches the response body returned from a registry create action.
     * @type {ITemplateRegistryInfo}, @see {ITemplateRegistryInfo}
     * @memberof IProvisionTemplateResponse
     */
    "registry-info": ITemplateRegistryInfo;
    /**
     * Object mapping that matches the response body returned from the workflow create action.
     * @type {ITemplateWorkflowInfo}, @see {ITemplateWorkflowInfo}
     * @memberof IProvisionTemplateResponse
     */
    "workflow-info": ITemplateWorkflowInfo;
}
/**
 * Main explanation map object for summary output.
 * @type IExplanationMap, @see {IExplanationMap}
 * @memberof IProvisionTemplateResponse
 */
export declare const explainProvisionTemplateResponse: IExplanationMap;
