import { IExplanationMap } from "@brightside/imperative";
/**
 * Interface for provisioned instance variables.
 * @export
 * @interface IProvisionedInstanceVariable
 */
export interface IProvisionedInstanceVariable {
    /**
     * Name of the variable.
     * @type {string}
     * @memberof IProvisionedInstanceVariable
     */
    name: string;
    /**
     * Value of the variable.
     * @type {string}
     * @memberof IProvisionedInstanceVariable
     */
    value: string;
    /**
     * Visibility of the variable.
     * @type {string}
     * @memberof IProvisionedInstanceVariable
     */
    visibility: string;
    /**
     * Indicates whether to update the variables in the instance from the workflow.
     * @type {string}
     * @memberof IProvisionedInstanceVariable
     */
    "update-registry": string;
}
/**
 * Main explanation map object for the output of provisioned instance variables.
 * @type IExplanationMap, @see {IExplanationMap}
 * @memberof IProvisionedInstanceVariable
 */
export declare const explainProvisionedInstanceVariable: IExplanationMap;
/**
 * Main explanation map object for provisioned instance prompt variables output.
 * @type IExplanationMap, @see {IExplanationMap}
 * @memberof IProvisionedInstanceVariable
 */
export declare const explainPromptVariable: IExplanationMap;
/**
 * Main explanation map object for create provisioned instance variables.
 * @type IExplanationMap, @see {IExplanationMap}
 * @memberof IProvisionedInstanceVariable
 */
export declare const explainAtCreateVariable: IExplanationMap;
