import { IExplanationMap } from "@brightside/imperative";
/**
 * Interface for the response body returned from the creation of a workflow.
 * @export
 * @interface ITemplateWorkflowInfo
 */
export interface ITemplateWorkflowInfo {
    /**
     * Unique workflow key.
     * @type {string}
     * @memberof ITemplateWorkflowInfo
     */
    workflowKey: string;
    /**
     * Description of the workflow.
     * @type {string}
     * @memberof ITemplateWorkflowInfo
     */
    workflowDescription: string;
    /**
     * ID of the workflow.
     * @type {string}
     * @memberof ITemplateWorkflowInfo
     */
    workflowID: string;
    /**
     * Version of the workflow.
     * @type {string}
     * @memberof ITemplateWorkflowInfo
     */
    workflowVersion: string;
    /**
     * Vendor name.
     * @type {string}
     * @memberof ITemplateWorkflowInfo
     */
    vendor: string;
}
/**
 * Main explanation map object for workflow-info response output.
 * @type IExplanationMap, @see {IExplanationMap}
 * @memberof ITemplateRegistryInfo
 */
export declare const explainTemplateWorkflowInfoResponse: IExplanationMap;
