"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const imperative_1 = require("@brightside/imperative");
const __1 = require("../../../../");
const ZosmfBaseHandler_1 = require("../../../../../zosmf/src/ZosmfBaseHandler");
/**
 * Handler to list template catalog
 * @export
 * @class Handler
 * @implements {ICommandHandler}
 */
class CatalogTemplatesHandler extends ZosmfBaseHandler_1.ZosmfBaseHandler {
    processCmd(commandParameters) {
        return __awaiter(this, void 0, void 0, function* () {
            const templates = yield __1.ListCatalogTemplates.listCatalogCommon(this.mSession, __1.ProvisioningConstants.ZOSMF_VERSION);
            let prettifiedTemplates = {};
            if (commandParameters.arguments.allInfo) {
                prettifiedTemplates = imperative_1.TextUtils.explainObject(templates, __1.explainPublishedTemplatesFull, true);
            }
            else {
                prettifiedTemplates = imperative_1.TextUtils.explainObject(templates, __1.explainPublishedTemplatesSummary, false);
            }
            let response = "z/OSMF Service Catalog templates\n";
            response = response + imperative_1.TextUtils.prettyJson(prettifiedTemplates);
            // Print out the response
            commandParameters.response.console.log(response);
            // Return as an object when using --response-format-json
            commandParameters.response.data.setObj(templates);
        });
    }
}
exports.default = CatalogTemplatesHandler;
//# sourceMappingURL=CatalogTemplates.handler.js.map