import { IJobStatus } from "./IJobStatus";
import { IJobFiles } from "./IJobFiles";
/**
 * Interface for z/OSMF API response.
 * @export
 * @interface IJobInfo
 */
export interface IJobInfo {
    /**
     * Contains the jobstatus object, which contains details about the job.
     * @type {IJobStatus}
     * @memberof IJobInfo
     */
    jobstatus?: IJobStatus;
    /**
     * Contains an array of one or more objects with details about files created by the job.
     * @type {IJobFiles}
     * @memberof IJobInfo
     */
    jobfiles: IJobFiles;
}
