"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
const AllMembers_definition_1 = require("./am/AllMembers.definition");
const DataSet_definition_1 = require("./ds/DataSet.definition");
const UssFile_definition_1 = require("./uss/UssFile.definition");
// Does not use the import in anticipation of some internationalization work to be done later.
const strings = require("../-strings-/en").default.LIST;
/**
 * Download group definition containing its description and children
 * @type {ICommandDefinition}
 */
exports.ListDefinition = {
    name: "list",
    aliases: ["ls"],
    type: "group",
    summary: strings.SUMMARY,
    description: strings.DESCRIPTION,
    children: [
        AllMembers_definition_1.AllMembersDefinition,
        DataSet_definition_1.DataSetDefinition,
        UssFile_definition_1.USSFileDefinition
    ],
};
//# sourceMappingURL=List.definition.js.map