"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("../../../..");
const ZosmfBaseHandler_1 = require("../../../ZosmfBaseHandler");
/**
 * Handler to show zosmf information
 * @export
 * @class Handler
 * @implements {ICommandHandler}
 */
class Handler extends ZosmfBaseHandler_1.ZosmfBaseHandler {
    processCmd(commandParameters) {
        return __awaiter(this, void 0, void 0, function* () {
            const zosResponse = yield __1.ListDefinedSystems.listDefinedSystems(this.mSession);
            commandParameters.response.format.output({
                fields: ["systemNickName", "systemName", "url", "jesMemberName"],
                output: zosResponse.items,
                format: "table",
                header: true,
            });
            // Return the original zosResponse when using --response-format-json
            commandParameters.response.data.setObj(zosResponse);
        });
    }
}
exports.default = Handler;
//# sourceMappingURL=Systems.handler.js.map