import { ICommandHandler, IHandlerParameters } from "../../../../../cmd";
/**
 * The command group handler for cli configuration settings reset.
 *
 */
export default class ResetHandler implements ICommandHandler {
    private static RESET_CREGENTIAL_MANAGER;
    /**
     * A logger for this class
     *
     * @private
     * @type {Logger}
     */
    private log;
    /**
     * Process the command and input.
     *
     * @param {IHandlerParameters} params Parameters supplied by yargs
     *
     * @throws {ImperativeError}
     */
    process(params: IHandlerParameters): Promise<void>;
    /**
     * Reset the credential manager to default - false.
     *
     * @throws {ImperativeError}
     */
    private resetCredentialManager;
}
