import { IConfigLogging } from "./doc/IConfigLogging";
export declare class LoggerConfigBuilder {
    static readonly DEFAULT_LANG: string;
    static readonly DEFAULT_LOG_LEVEL: string;
    static readonly DEFAULT_LOG_TYPE_CONSOLE: string;
    static readonly DEFAULT_LOG_TYPE_PAT: string;
    static readonly DEFAULT_LOG_LAYOUT: string;
    static readonly DEFAULT_COLOR_LAYOUT: string;
    static readonly DEFAULT_LOG_TYPE_FILE_SYNC: string;
    static readonly DEFAULT_BACKEND: string;
    static readonly DEFAULT: string;
    static readonly DEFAULT_LOG_DIR: string;
    static readonly DEFAULT_LOG_FILE_DIR: string;
    static readonly DEFAULT_LOG_FILE_EXT: string;
    static readonly DEFAULT_LOG_FILE_MAX_SIZE: number;
    static readonly DEFAULT_LOG_FILE_BACKUPS: number;
    /**
     * Build a fully qualified directory to a log file - defaults to the users home directory - Imperative
     * does NOT use this as the home is set by the CLI configuration document.
     * @param {string} name - name of the file to append to fully qualified directory
     */
    static buildFullLogFile(name: string): string;
    /**
     * Returns the constant values defined within the LoggerConfigBuilder for this config object
     * @return {IConfigLogging} - default object built
     */
    static getDefaultIConfigLogging(): IConfigLogging;
    /**
     * Returns the constant values defined within the LoggerConfigBuilder for this config object
     * @return {IConfigLogging} - default object built
     */
    static addConsoleAppender(config: IConfigLogging, key: string, categoryName?: string, logLevel?: string): IConfigLogging;
    /**
     * Returns the constant values defined within the LoggerConfigBuilder for this config object
     * @return {IConfigLogging} - default object built
     */
    static addFileAppender(config: IConfigLogging, key: string, categoryName?: string, filename?: string, logLevel?: string): IConfigLogging;
    /**
     * Returns the log file name that will be used
     * @return {string} - the default file name for the log file
     */
    static getDefaultFileName(name: string): string;
}
