"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
const error_1 = require("../../../error");
class RestClientError extends error_1.ImperativeError {
    /**
     * Creates an instance of RestClientError.
     * @param {IRestClientError} mDetails - The IRestClientError details provided by the rest client. Contains
     *                                      "relevant" diagnostic information such as host/port/request details, etc.
     * @param {IImperativeErrorParms} [parms] - Imperative error parameters.
     */
    constructor(mDetails, parms) {
        super(mDetails, parms);
        this.mDetails = mDetails;
    }
    /**
     * Accessor for IRestClientError error details.
     * @type {IRestClientError}
     */
    get details() {
        return this.mDetails;
    }
}
exports.RestClientError = RestClientError;
//# sourceMappingURL=RestClientError.js.map